Bug 174992 - editors/deforaos-editor patch for respecting PREFIX
Summary: editors/deforaos-editor patch for respecting PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 08:20 UTC by olivier
Modified: 2013-02-10 14:20 UTC (History)
0 users

See Also:


Attachments
deforaos-editor.0.2.1_1.diff (483 bytes, patch)
2013-01-05 09:34 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2013-01-05 08:20:00 UTC
	Here is a simple patch that add PREFIX support to this port.
Comment 1 olivier 2013-01-05 09:34:12 UTC
Here is the patch
Comment 2 Philippe Audeoud freebsd_committer 2013-01-30 15:37:59 UTC
State Changed
From-To: open->feedback

Please, use portlint -a before submitting.
Comment 3 Martin Wilke freebsd_committer 2013-02-10 14:10:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-10 14:11:01 UTC
Author: miwi
Date: Sun Feb 10 14:10:50 2013
New Revision: 312021
URL: http://svnweb.freebsd.org/changeset/ports/312021

Log:
  - Respect PREFIX
  
  PR:		174992
  Submitted by:	maintainer

Modified:
  head/editors/deforaos-editor/Makefile

Modified: head/editors/deforaos-editor/Makefile
==============================================================================
--- head/editors/deforaos-editor/Makefile	Sun Feb 10 14:09:08 2013	(r312020)
+++ head/editors/deforaos-editor/Makefile	Sun Feb 10 14:10:50 2013	(r312021)
@@ -5,8 +5,8 @@ PORTNAME=	editor
 PORTVERSION=	0.2.1
 CATEGORIES=	editors
 MASTER_SITES=	http://www.defora.org/os/download/download/3702/
-DISTNAME=	Editor-${PORTVERSION}
 PKGNAMEPREFIX=	deforaos-
+DISTNAME=	Editor-${PORTVERSION}
 
 MAINTAINER=	olivier@cochard.me
 COMMENT=	DeforaOS desktop text editor
@@ -16,6 +16,7 @@ LICENSE=	GPLv3
 LIB_DEPENDS=	System:${PORTSDIR}/devel/deforaos-libsystem \
 		Desktop:${PORTSDIR}/x11/deforaos-libdesktop
 
+MAKE_ARGS=	PREFIX=${PREFIX}
 USE_GNOME=	gtk20 desktopfileutils
 USE_PKGCONFIG=	build
 USE_GETTEXT=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"